/**
 * Open Command Prompt Shell Extension
 * Copyright (C) 2007 Kai Liu.  All rights reserved.
 *
 * Please refer to readme.txt for information about this source code.
 * Please refer to license.txt for details about distribution and modification.
 **/

#ifndef __REGHELPERS_H__
#define __REGHELPERS_H__

#ifdef __cplusplus
extern "C" {
#endif

#include <windows.h>
#include <shlwapi.h>

HKEY RegOpen( HKEY, LPCTSTR, LPCTSTR );
BOOL RegDelete( HKEY, LPCTSTR, LPCTSTR );
BOOL RegSetSZ( HKEY, LPCTSTR, LPCTSTR );
BOOL RegSetDW( HKEY, LPCTSTR, DWORD );

#ifdef __cplusplus
}
#endif

#endif
